API Reference

Get wire instructions

gethttps://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions

  • Reference
  • Playground

Get the wire transfer instructions into the Circle bank account given your bank account ID.

Path parameters
id
uuid
Required

Universally unique identifier (UUID v4) of a resource.

Query parameters
currency
string

Queries beneficiary bank account currency. Default is USD.

walletId
string

The wallet ID of the external entity. If not provided, the instructions will be for your default wallet.

You can create additional wallets using the Core API for Institutions.

Response
RequestChoose a language
ResponseChoose an example
1{
2  "data": {
3    "trackingRef": "CIR13FB13A",
4    "beneficiary": {
5      "name": "CIRCLE INTERNET FINANCIAL INC",
6      "address1": "99 HIGH STREET",
7      "address2": "BOSTON MA 02110"
8    },
9    "beneficiaryBank": {
10      "name": "WELLS FARGO BANK",
11      "swiftCode": "WFBIUS6SXXX",
12      "routingNumber": "121000248",
13      "accountNumber": "****7427",
14      "currency": "USD",
15      "address": "4250 EXECUTIVE SQUARE SUITE 300",
16      "city": "LA JOLLA",
17      "postalCode": "02110",
18      "country": "US"
19    }
20  }
21}
Did this page help you?
© 2023-2026 Circle Technology Services, LLC. All rights reserved.